/* 曜日を示す文字列を数字に直す関数 */

#include <string.h>
#include "deftype.h"

static	unchar *we[]={"Sun","Mon","Tue","Wed","Thu","Fri","Sat"};

int week_asc(unchar *week)
{
unint i;
	for (i=0;i<7;i++) {
		if (memcmpi(we[i],week,3)==0) return(i+1);
	}
	return(0); /* 見つからない */
}

/* ところであなた、英語で日曜日から土曜日まで正しく書けますか？ */
